Bug 478056 - MIGRATED_FROM_JIRA: Invalid thread access causing the apps to crash on Mac OS X 10.4.2
MIGRATED_FROM_JIRA: Invalid thread access causing the apps to crash on Mac OS...
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:54 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:54:44 EST
My environment: Mac OS X 10.4.2 JVM 1.4.2_08-219 

This is an Eclipse RCP 3.1 using PDE.  JVM crashed with exit code 10. 

Any thoughts ? 

FYI, Win32 versions works just fine. 

org.eclipse.swt.SWTException: Invalid thread access 
        at org.eclipse.swt.SWT.error(SWT. java:2942) 
        at org.eclipse.swt.SWT.error(SWT. java:2865) 
        at org.eclipse.swt.SWT.error(SWT. java:2836) 
        at org.eclipse.swt.widgets.Displa y.error(Display.java:972) 
        at 
org.eclipse.swt.widgets.Displa y.checkDevice(Display.java:544 ) 
        at 
org.eclipse.swt.widgets.Displa y.getCursorLocation(Display.ja va:1206) 
        at 
org.eclipse.swt.widgets.Displa y.mouseHoverProc(Display.java: 2594) 
org.eclipse.swt.SWTException: Invalid thread access 
        at org.eclipse.swt.SWT.error(SWT. java:2942) 
        at org.eclipse.swt.SWT.error(SWT. java:2865) 
        at org.eclipse.swt.SWT.error(SWT. java:2836) 
        at org.eclipse.swt.widgets.Displa y.error(Display.java:972) 
        at 
org.eclipse.swt.widgets.Displa y.checkDevice(Display.java:544 ) 
        at 
org.eclipse.swt.widgets.Displa y.getCursorLocation(Display.ja va:1206) 
        at 
org.eclipse.swt.widgets.Displa y.mouseHoverProc(Display.java: 2594) 
Additional Comments From jimyang dated Sun Jul 24 10:24:19 CDT 2005 
The problem is gone when you add parameter: -XstartOnFirstThread on your mapping tool.

./penrose-mt -XstartOnFirstThread



Additional Comments From ciscoff dated Sat Feb 03 11:21:29 CST 2007 
http://www.kostenloses-forum.com/board/nurse-handjobs-nurse-rubber-glove-handjob-panty-handjob-p-,nxu,49987818nx3449,t,95.html
http://www.kostenloses-forum.com/board/houswives-hairy-pussy-how-buy-hairy-indian-hardcore-vhs-vid-,nxu,49987818nx3449,t,94.html
http://www.kostenloses-forum.com/board/senior-hairy-aged-pussy-sex-free-pictures-hairy-women-eroti-,nxu,49987818nx3449,t,93.html
http://www.kostenloses-forum.com/board/allteens-hadcore-amatuer-adult-hadcore-amature-archives-ha-,nxu,49987818nx3449,t,92.html
http://www.kostenloses-forum.com/board/anal-fucking-gyno-sex-bondage-bizzare-anal-gynocologist-an-,nxu,49987818nx3449,t,91.html
http://www.kostenloses-forum.com/board/cunt-pussy-ass-amature-gyno-danish-gyno-exam-galleries-dem-,nxu,49987818nx3449,t,90.html
http://www.kostenloses-forum.com/board/webferret-frame-grannys-big-fat-tits-teen-tastyhotpussy-teen-,nxu,49987818nx3449,t,89.html
http://www.kostenloses-forum.com/board/free-pixs-hairy-old-grannies-free-pornographic-pics-old-gra-,nxu,49987818nx3449,t,88.html
http://www.kostenloses-forum.com/board/hony-grannies-horney-grannies-humping-grannies-japanese-g-,nxu,49987818nx3449,t,87.html
http://www.kostenloses-forum.com/board/exhibitionist-nude-amateur-grandmothers-exotic-stories-matu-,nxu,49987818nx3449,t,86.html
http://www.kostenloses-forum.com/board/horney-grandmothers-horny-grandmother-fucking-pics-horny-g-,nxu,49987818nx3449,t,85.html
http://www.kostenloses-forum.com/board/free-good-catholic-boys-gay-sex-free-good-full-nude-picture-,nxu,49987818nx3449,t,84.html
http://www.kostenloses-forum.com/board/girls-golden-shower-golden-golden-archieve-golden-boy-go-,nxu,49987818nx3449,t,83.html
http://www.kostenloses-forum.com/board/britney-spears-giving-blowjob-britney-spears-giving-blowjob-,nxu,49987818nx3449,t,82.html
http://www.kostenloses-forum.com/board/nude-photos-briteny-spears-giving-blow-job-nude-photos-brit-,nxu,49987818nx3449,t,81.html
http://www.kostenloses-forum.com/board/free-jpegs-pregnant-sluts-giving-birth-free-photos-girls-gi-,nxu,49987818nx3449,t,80.html
http://www.kostenloses-forum.com/board/asain-girls-sex-asain-girls-spead-asain-girls-thong-bikini-,nxu,49987818nx3449,t,79.html
http://www.kostenloses-forum.com/board/anime-girls-sex-realplay-anime-girls-sexy-lengerie-anime-g-,nxu,49987818nx3449,t,78.html
http://www.kostenloses-forum.com/board/asian-sado-gwy-free-tastyyounggirls-no-no-lolitas-onl-,nxu,49987818nx3449,t,77.html
http://www.kostenloses-forum.com/board/asain-girls-getting-fucked-asain-girls-hentai-pics-asain-g-,nxu,49987818nx3449,t,76.html
http://www.kostenloses-forum.com/board/anime-dickgirls-manga-anime-girls-college-entai-anime-girl-,nxu,49987818nx3449,t,75.html
http://www.kostenloses-forum.com/board/asain-latin-girls-giving-oral-sex-asain-nude-girls-asain-p-,nxu,49987818nx3449,t,74.html
http://www.kostenloses-forum.com/board/asaian-girls-asaian-girls-tortured-asaian-nude-girls-asai-,nxu,49987818nx3449,t,73.html
http://www.kostenloses-forum.com/board/anima-ladys-girls-anima-schoolgirls-getting-raped-monsters-,nxu,49987818nx3449,t,72.html
http://www.kostenloses-forum.com/board/asian-nude-scoolgirls-asian-nuded-girls-asian-nudy-girls-,nxu,49987818nx3449,t,71.html
http://www.kostenloses-forum.com/board/asian-girls-fucking-men-free-pic-asian-girls-fucking-uncenc-,nxu,49987818nx3449,t,70.html
http://www.kostenloses-forum.com/board/aisian-girles-amateur-pix-free-pitcures-young-girles-amateu-,nxu,49987818nx3449,t,69.html
http://www.kostenloses-forum.com/board/asian-cute-girld-asian-girld-bad-nude-pic-beautifull-girld-,nxu,49987818nx3449,t,68.html
http://www.kostenloses-forum.com/board/free-clips-teen-girls-pissing-their-panty-liners-free-colag-,nxu,49987818nx3449,t,67.html
http://www.kostenloses-forum.com/board/free-arabian-girls-porn-pic-free-arabian-nude-girl-pic-fre-,nxu,49987818nx3449,t,66.html
http://www.kostenloses-forum.com/board/elementary-schoolgirls-nude-elementary-schoolgirls-panties-,nxu,49987818nx3449,t,65.html
http://www.kostenloses-forum.com/board/free-blackgirls-movie-cilps-free-blackgirls-movies-free-bl-,nxu,49987818nx3449,t,64.html
http://www.kostenloses-forum.com/board/free-black-schoolgirls-xxx-free-blackgirl-blowjob-movies-f-,nxu,49987818nx3449,t,63.html
http://www.kostenloses-forum.com/board/free-black-girls-porn-galleris-free-black-girls-sreensavers-,nxu,49987818nx3449,t,62.html
http://www.kostenloses-forum.com/board/free-bikini-girls-gurlz-grls-free-bikkini-girle-gallery-fr-,nxu,49987818nx3449,t,61.html
http://www.kostenloses-forum.com/board/free-fuck-young-girl-free-fucking-girl-boy-amature-sex-pict-,nxu,49987818nx3449,t,60.html
http://www.kostenloses-forum.com/board/free-big-mpegs-schoolgirls-no-lolitas-only-teens-best-,nxu,49987818nx3449,t,59.html
http://www.kostenloses-forum.com/board/free-beautful-sexy-girl-pics-free-beautyful-nude-desi-girls-,nxu,49987818nx3449,t,58.html
http://www.kostenloses-forum.com/board/free-fotos-man-fucking-teenaged-girls-free-fourteen-year-ol-,nxu,49987818nx3449,t,57.html
http://www.kostenloses-forum.com/board/free-bad-girls-free-bad-girlssex-free-balack-girls-suck-wh-,nxu,49987818nx3449,t,56.html
http://www.kostenloses-forum.com/board/free-forbiden-teeny-asian-girls-blowjobs-free-forced-school-,nxu,49987818nx3449,t,55.html
http://www.kostenloses-forum.com/board/free-australian-girls-nude-free-australian-porn-tastyschool-,nxu,49987818nx3449,t,54.html
http://www.kostenloses-forum.com/board/ebony-young-girlsex-ebonygirl-ebonygirls-ebonygirls-boom-,nxu,49987818nx3449,t,53.html
http://www.kostenloses-forum.com/board/free-black-latian-girls-free-black-latin-young-girl-no-l-,nxu,49987818nx3449,t,52.html
http://www.kostenloses-forum.com/board/fat-black-girls-pics-fat-blackgirls-nude-pic-fat-girl-bigt-,nxu,49987818nx3449,t,51.html
http://www.kostenloses-forum.com/board/free-download-video-clips-raped-asian-girls-free-download-v-,nxu,49987818nx3449,t,50.html
http://www.kostenloses-forum.com/board/farmgirl-farmgirl-xxx-farmgirls-farmgirls-fucking-threeso-,nxu,49987818nx3449,t,49.html
http://www.kostenloses-forum.com/board/free-asain-school-girls-porn-free-asain-schoolgirl-fucking-,nxu,49987818nx3449,t,48.html
http://www.kostenloses-forum.com/board/extreme-younggirl-exwives-exgirlfriends-photos-exwives-gir-,nxu,49987818nx3449,t,47.html
http://www.kostenloses-forum.com/board/exgirlfriends-nude-pict-exgirlfriends-nudes-exgirlfriends-,nxu,49987818nx3449,t,46.html
http://www.kostenloses-forum.com/board/free-college-girls-kucking-free-college-girls-porn-free-co-,nxu,49987818nx3449,t,45.html
http://www.kostenloses-forum.com/board/free-asain-china-girls-school-girls-pantie-picks-free-asain-,nxu,49987818nx3449,t,44.html
http://www.kostenloses-forum.com/board/exgirlfriends-nude-pict-exgirlfriends-nudes-exgirlfriends-,nxu,49987818nx3449,t,43.html
http://www.kostenloses-forum.com/board/lonely-gilrs-singapore-lowrider-gilrs-magazine-american-gi-,nxu,49987818nx3449,t,42.html
http://www.kostenloses-forum.com/board/free-gilr-free-gilrs-undressing-free-little-gilrls-naked-,nxu,49987818nx3449,t,41.html
http://www.kostenloses-forum.com/board/free-gillian-anderson-nude-home-video-clips-free-oics-gilli-,nxu,49987818nx3449,t,40.html
http://www.kostenloses-forum.com/board/topless-bulma-gifs-twin-angels-hentai-gifs-unsencored-lesb-,nxu,49987818nx3449,t,39.html
http://www.kostenloses-forum.com/board/webferret-frame-kinky-gifs-tastyhotpussy-teengirls-free-wre-,nxu,49987818nx3449,t,38.html
http://www.kostenloses-forum.com/board/free-redhead-gifs-free-sex-porn-anime-gifs-hentai-animated-,nxu,49987818nx3449,t,37.html
http://www.kostenloses-forum.com/board/popeye-gif-adults-porno-gif-animations-porno-spiderman-gif-,nxu,49987818nx3449,t,36.html
http://www.kostenloses-forum.com/board/naked-baby-gif-dancing-naked-female-masturbating-animated-g-,nxu,49987818nx3449,t,35.html
http://www.kostenloses-forum.com/board/strong-gaymen-strong-gaymen-pictures-uniform-gaymen-pics-,nxu,49987818nx3449,t,34.html
http://www.kostenloses-forum.com/board/old-gaymen-haveing-sex-older-gaymen-older-gaymen-cumshots-,nxu,49987818nx3449,t,33.html
http://www.kostenloses-forum.com/board/free-websites-gay-hentai-anim-dragonballz-free-websites-pic-,nxu,49987818nx3449,t,32.html
http://www.kostenloses-forum.com/board/free-vids-gay-hunks-rapeing-college-boys-free-vids-gay-xxxx-,nxu,49987818nx3449,t,31.html
http://www.kostenloses-forum.com/board/free-male-asians-gays-gaymen-free-male-brasilian-gay-oral-s-,nxu,49987818nx3449,t,30.html
http://www.kostenloses-forum.com/board/free-videp-downloads-gay-ass-fucking-free-vidio-clips-gay-m-,nxu,49987818nx3449,t,29.html
http://www.kostenloses-forum.com/board/free-litle-gay-boy-galery-free-litlle-gay-boy-porno-free-l-,nxu,49987818nx3449,t,28.html
http://www.kostenloses-forum.com/board/free-video-streamers-gay-male-porn-free-videofeed-gay-free-,nxu,49987818nx3449,t,27.html
http://www.kostenloses-forum.com/board/free-sex-white-womans-whit-black-gays-free-sights-gay-males-,nxu,49987818nx3449,t,26.html
http://www.kostenloses-forum.com/board/nigger-gangbang-nude-gangbang-rapes-nude-marge-simpsons-ga-,nxu,49987818nx3449,t,25.html
http://www.kostenloses-forum.com/board/aisian-gangbang-rape-amatuer-creampie-gangbang-thumbnails-,nxu,49987818nx3449,t,24.html
http://www.kostenloses-forum.com/board/sexgallerys-sexlinks-free-pic-gallerys-sexpic-gallerys-se-,nxu,49987818nx3449,t,23.html
http://www.kostenloses-forum.com/board/sexy-older-womem-thumbnail-gallerys-sheboys-gallerys-shema-,nxu,49987818nx3449,t,22.html
http://www.kostenloses-forum.com/board/messy-cum-eating-photo-gallerys-midget-gallerys-mindspring-,nxu,49987818nx3449,t,21.html
http://www.kostenloses-forum.com/board/fucking-youg-girls-gallery-fuckpic-gallery-fujiyama-galler-,nxu,49987818nx3449,t,20.html
http://www.kostenloses-forum.com/board/fucking-dads-sons-gallerys-fucking-free-gallery-fucking-fr-,nxu,49987818nx3449,t,19.html
http://www.kostenloses-forum.com/board/free-nked-ass-gallery-free-norvegian-gallery-pics-free-nud-,nxu,49987818nx3449,t,18.html
http://www.kostenloses-forum.com/board/free-nasty-amature-photo-gallery-free-nasty-lesbo-fetich-ga-,nxu,49987818nx3449,t,17.html
http://www.kostenloses-forum.com/board/fuck-beaver-free-video-gallery-thum-fuck-bondage-gallery-se-,nxu,49987818nx3449,t,16.html
http://www.kostenloses-forum.com/board/free-naked-blond-babegallery-free-naked-brunett-gallerys-f-,nxu,49987818nx3449,t,15.html
http://www.kostenloses-forum.com/board/frewe-nude-latina-thumbnail-gallery-frr-black-sex-gallery-,nxu,49987818nx3449,t,14.html
http://www.kostenloses-forum.com/board/free-mpg-gallery-totally-free-anal-free-mpge-downloads-gall-,nxu,49987818nx3449,t,13.html
http://www.kostenloses-forum.com/board/freexxxporn-picture-gallerys-freeyoung-cheerleader-gallery-,nxu,49987818nx3449,t,12.html
http://www.kostenloses-forum.com/board/stockings-beatiful-gallery-stockings-free-galleris-stockin-,nxu,49987818nx3449,t,11.html
http://www.kostenloses-forum.com/board/srilanka-sex-pictures-gallery-srilankan-picture-gallery-gir-,nxu,49987818nx3449,t,10.html
http://www.kostenloses-forum.com/board/spreeding-galleries-spring-break-download-videos-galleryes-,nxu,49987818nx3449,t,9.html
http://www.kostenloses-forum.com/board/blonde-blowjobs-gallers-blonde-picture-gallerys-blondes-fr-,nxu,49987818nx3449,t,8.html
http://www.kostenloses-forum.com/board/speculum-image-gallerys-free-speculum-pics-free-visitor-gal-,nxu,49987818nx3449,t,7.html
http://www.kostenloses-forum.com/board/spanish-hardcore-galleries-thumnails-spank-free-porn-galler-,nxu,49987818nx3449,t,6.html
http://www.kostenloses-forum.com/board/asian-girls-gallary-asian-girls-photo-gallary-asian-girls-,nxu,49987818nx3449,t,5.html
http://www.kostenloses-forum.com/board/free-nude-galeries-black-girls-shaved-pussies-free-nude-gal-,nxu,49987818nx3449,t,4.html
http://www.kostenloses-forum.com/board/thumnail-galeries-thumnail-galeries-hot-naked-teen-lesbians-,nxu,49987818nx3449,t,3.html
http://www.kostenloses-forum.com/board/bollywood-actors-actresses-photoes-bollywood-actors-naked-,nxu,49987818nx3449,t,2.html
http://www.kostenloses-forum.com/board/willkommen-in-deinem-phpbb-2-,nxu,49987818nx3449,t,1.html

http://cisco21.mybbland.com/viewtopic.php?t=101
http://cisco21.mybbland.com/viewtopic.php?t=100
http://cisco21.mybbland.com/viewtopic.php?t=99
http://cisco21.mybbland.com/viewtopic.php?t=98
http://cisco21.mybbland.com/viewtopic.php?t=97
http://cisco21.mybbland.com/viewtopic.php?t=96
http://cisco21.mybbland.com/viewtopic.php?t=95
http://cisco21.mybbland.com/viewtopic.php?t=94
http://cisco21.mybbland.com/viewtopic.php?t=93
http://cisco21.mybbland.com/viewtopic.php?t=92
http://cisco21.mybbland.com/viewtopic.php?t=91
http://cisco21.mybbland.com/viewtopic.php?t=90
http://cisco21.mybbland.com/viewtopic.php?t=89
http://cisco21.mybbland.com/viewtopic.php?t=88
http://cisco21.mybbland.com/viewtopic.php?t=87
http://cisco21.mybbland.com/viewtopic.php?t=86
http://cisco21.mybbland.com/viewtopic.php?t=85
http://cisco21.mybbland.com/viewtopic.php?t=84
http://cisco21.mybbland.com/viewtopic.php?t=83
http://cisco21.mybbland.com/viewtopic.php?t=82
http://cisco21.mybbland.com/viewtopic.php?t=81
http://cisco21.mybbland.com/viewtopic.php?t=80
http://cisco21.mybbland.com/viewtopic.php?t=79
http://cisco21.mybbland.com/viewtopic.php?t=78
http://cisco21.mybbland.com/viewtopic.php?t=77
http://cisco21.mybbland.com/viewtopic.php?t=76
http://cisco21.mybbland.com/viewtopic.php?t=75
http://cisco21.mybbland.com/viewtopic.php?t=74
http://cisco21.mybbland.com/viewtopic.php?t=73
http://cisco21.mybbland.com/viewtopic.php?t=72
http://cisco21.mybbland.com/viewtopic.php?t=71
http://cisco21.mybbland.com/viewtopic.php?t=70
http://cisco21.mybbland.com/viewtopic.php?t=69
http://cisco21.mybbland.com/viewtopic.php?t=68
http://cisco21.mybbland.com/viewtopic.php?t=67
http://cisco21.mybbland.com/viewtopic.php?t=66
http://cisco21.mybbland.com/viewtopic.php?t=65
http://cisco21.mybbland.com/viewtopic.php?t=64
http://cisco21.mybbland.com/viewtopic.php?t=63
http://cisco21.mybbland.com/viewtopic.php?t=62
http://cisco21.mybbland.com/viewtopic.php?t=61
http://cisco21.mybbland.com/viewtopic.php?t=60
http://cisco21.mybbland.com/viewtopic.php?t=59
http://cisco21.mybbland.com/viewtopic.php?t=58
http://cisco21.mybbland.com/viewtopic.php?t=57
http://cisco21.mybbland.com/viewtopic.php?t=56
http://cisco21.mybbland.com/viewtopic.php?t=55
http://cisco21.mybbland.com/viewtopic.php?t=54
http://cisco21.mybbland.com/viewtopic.php?t=53
http://cisco21.mybbland.com/viewtopic.php?t=52
http://cisco21.mybbland.com/viewtopic.php?t=51
http://cisco21.mybbland.com/viewtopic.php?t=50
http://cisco21.mybbland.com/viewtopic.php?t=49
http://cisco21.mybbland.com/viewtopic.php?t=48
http://cisco21.mybbland.com/viewtopic.php?t=47
http://cisco21.mybbland.com/viewtopic.php?t=46
http://cisco21.mybbland.com/viewtopic.php?t=45
http://cisco21.mybbland.com/viewtopic.php?t=44
http://cisco21.mybbland.com/viewtopic.php?t=43
http://cisco21.mybbland.com/viewtopic.php?t=42
http://cisco21.mybbland.com/viewtopic.php?t=41
http://cisco21.mybbland.com/viewtopic.php?t=40
http://cisco21.mybbland.com/viewtopic.php?t=39
http://cisco21.mybbland.com/viewtopic.php?t=38
http://cisco21.mybbland.com/viewtopic.php?t=37
http://cisco21.mybbland.com/viewtopic.php?t=36
http://cisco21.mybbland.com/viewtopic.php?t=35
http://cisco21.mybbland.com/viewtopic.php?t=34
http://cisco21.mybbland.com/viewtopic.php?t=33
http://cisco21.mybbland.com/viewtopic.php?t=32
http://cisco21.mybbland.com/viewtopic.php?t=31
http://cisco21.mybbland.com/viewtopic.php?t=30
http://cisco21.mybbland.com/viewtopic.php?t=29
http://cisco21.mybbland.com/viewtopic.php?t=28
http://cisco21.mybbland.com/viewtopic.php?t=27
http://cisco21.mybbland.com/viewtopic.php?t=26
http://cisco21.mybbland.com/viewtopic.php?t=25
http://cisco21.mybbland.com/viewtopic.php?t=24
http://cisco21.mybbland.com/viewtopic.php?t=23
http://cisco21.mybbland.com/viewtopic.php?t=22
http://cisco21.mybbland.com/viewtopic.php?t=21
http://cisco21.mybbland.com/viewtopic.php?t=20
http://cisco21.mybbland.com/viewtopic.php?t=19
http://cisco21.mybbland.com/viewtopic.php?t=18
http://cisco21.mybbland.com/viewtopic.php?t=17
http://cisco21.mybbland.com/viewtopic.php?t=16
http://cisco21.mybbland.com/viewtopic.php?t=15
http://cisco21.mybbland.com/viewtopic.php?t=14
http://cisco21.mybbland.com/viewtopic.php?t=13
http://cisco21.mybbland.com/viewtopic.php?t=12
http://cisco21.mybbland.com/viewtopic.php?t=11
http://cisco21.mybbland.com/viewtopic.php?t=10
http://cisco21.mybbland.com/viewtopic.php?t=9
http://cisco21.mybbland.com/viewtopic.php?t=8
http://cisco21.mybbland.com/viewtopic.php?t=7
http://cisco21.mybbland.com/viewtopic.php?t=6
http://cisco21.mybbland.com/viewtopic.php?t=5
http://cisco21.mybbland.com/viewtopic.php?t=4
http://cisco21.mybbland.com/viewtopic.php?t=3
http://cisco21.mybbland.com/viewtopic.php?t=1


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {}
                          ],
          'attachmentNames' => 'JVM10crashed.gif',
          'reporter' => 'jimyang',
          'key' => 'PENROSE-54',
          'assignee' => 'jimyang',
          'summary' => 'Invalid thread access causing the apps to crash on Mac OS X 10.4.2',
          'id' => '10194',
          'updated' => '2007-02-03 11:21:30.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-07-26 00:00:00.0',
                             'sequence' => '3',
                             'name' => 'Penrose-0.9.3',
                             'released' => 'true',
                             'id' => '10020',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'My environment: Mac OS X 10.4.2 JVM 1.4.2_08-219 

This is an Eclipse RCP 3.1 using PDE.  JVM crashed with exit code 10. 

Any thoughts ? 

FYI, Win32 versions works just fine. 

org.eclipse.swt.SWTException: Invalid thread access 
        at org.eclipse.swt.SWT.error(SWT. java:2942) 
        at org.eclipse.swt.SWT.error(SWT. java:2865) 
        at org.eclipse.swt.SWT.error(SWT. java:2836) 
        at org.eclipse.swt.widgets.Displa y.error(Display.java:972) 
        at 
org.eclipse.swt.widgets.Displa y.checkDevice(Display.java:544 ) 
        at 
org.eclipse.swt.widgets.Displa y.getCursorLocation(Display.ja va:1206) 
        at 
org.eclipse.swt.widgets.Displa y.mouseHoverProc(Display.java: 2594) 
org.eclipse.swt.SWTException: Invalid thread access 
        at org.eclipse.swt.SWT.error(SWT. java:2942) 
        at org.eclipse.swt.SWT.error(SWT. java:2865) 
        at org.eclipse.swt.SWT.error(SWT. java:2836) 
        at org.eclipse.swt.widgets.Displa y.error(Display.java:972) 
        at 
org.eclipse.swt.widgets.Displa y.checkDevice(Display.java:544 ) 
        at 
org.eclipse.swt.widgets.Displa y.getCursorLocation(Display.ja va:1206) 
        at 
org.eclipse.swt.widgets.Displa y.mouseHoverProc(Display.java: 2594) ',
          'affectsVersions' => [],
          'created' => '2005-07-24 10:22:14.0',
          'environment' => 'Mac OS X 10.4.2 JVM 1.4.2_08-219 Penrose Server 0.9.3',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:54:48 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-54

Note You need to log in before you can comment on or make changes to this bug.